Permalink
Browse files

Merge pull request #10 from fxstein/master

# [#3] Update builder for new README.md
  • Loading branch information...
2 parents ab21560 + 1f6f37a commit 365400d49f00497704b3ea81d1369e3d4b293202 @mahagr mahagr committed Jul 9, 2011
@@ -33,15 +33,20 @@
KunenaImporter 1.6.5-DEV
+8-July-2011 fxstein
++ [#8] Basic skelleton for KunenaImporter authentication plugin
+# [#3] Update builder for new README.md
+^ [#11] Update version info to 1.6.5
++ [#13] Add new flag to user migration table
++ [#12] Add basic version check for Kunena and disable if not present
+# [#14] Missing forum table prefix re-added
+
7-July-2011 Matias
+ [#5] phpBB3 support: migrate uploaded avatars and gallery
6-July-2011 Matias
+ [#5] phpBB3 support: migrate attachments
-8-July-2011 fxstein
-+ [#8] Basic skelleton for KunenaImporter authentication plugin
-
5-July-2011 Matias
^ [#1] Convert component to PHP5
@@ -24,6 +24,14 @@
$document = JFactory::getDocument ();
$document->addStyleSheet ( 'components/com_kunenaimporter/assets/importer.css' );
+// Test if Kunena is installed and if the minimum version requirement is met
+$app = JFactory::getApplication ();
+$minKunenaVersion = '1.6.4';
+if (!class_exists('Kunena') || Kunena::versionBuild() < 4344) {
+ $app->enqueueMessage( JText::sprintf ( 'COM_KUNENAIMPORTER_DEPENDENCY_FAIL', $minKunenaVersion ) );
+ return null;
+}
+
// Require the base controller
require_once JPATH_COMPONENT . DS . 'controller.php';
@@ -11,11 +11,11 @@
<!-- <option value='pnphpbb2'>PNphpBB2</option> -->
<!-- <option value='smf2'>SMF2</option> -->
</param>
- <!-- <param name='path' type='text' default='' label='Relative Path to Forum' description='' size='30' />
- <param name='db_host' type='text' default='localhost' label='Database Host' description='' size='30' />
+ <param name='path' type='text' default='' label='Relative Path to Forum' description='Please enter the relative system path to the installation of the forum you want to import from.' size='30' />
+ <!-- <param name='db_host' type='text' default='localhost' label='Database Host' description='' size='30' />
<param name='db_user' type='text' default='' label='Database User' description='' size='30' />
<param name='db_passwd' type='password' default='' label='Database Password' description='' size='30' />
- <param name='db_name' type='text' default='' label='Forum Database Name' description='' size='30' />
- <param name='db_prefix' type='text' default='phpbb_' label='Forum Table Prefix' description='' size='30' /> -->
+ <param name='db_name' type='text' default='' label='Forum Database Name' description='' size='30' /> -->
+ <param name='db_prefix' type='text' default='phpbb_' label='Forum Table Prefix' description='Please enter the table prefix used for the forum you want to import from.' size='30' />
</params>
</config>
@@ -31,6 +31,7 @@
`params` text NOT NULL,
`conflict` text,
`error` text,
+ `migrated` tinyint(4) NOT NULL default '0',
PRIMARY KEY (`extid`),
KEY `extusername` (`extusername`),
KEY `id` (`id`),
@@ -10,7 +10,7 @@
<authorUrl>http://www.kunena.org</authorUrl>
<copyright>(c)2010-2011 Kunena Team. All rights reserved.</copyright>
<license>GNU/GPL</license>
- <description>Imports external forum data (phpBB3, SMF2) into Kunena Forum.</description>
+ <description>Imports external forum data (phpBB3, SMF2, Agora, ...) into Kunena Forum.</description>
<installfile>install.kunenaimporter.php</installfile>
<uninstallfile>uninstall.kunenaimporter.php</uninstallfile>
@@ -45,3 +45,5 @@ KNIMPORTER_DESCRIPTION_WHOISONLINE=Import Online Status
KNIMPORTER_DESCRIPTION_MAPUSERS=Map users to Joomla
KNIMPORTER_DESCRIPTION_AVATARGALLERIES=Import Avatar Galleries
IMPORT OPTIONS=Import Options
+
+COM_KUNENAIMPORTER_DEPENDENCY_FAIL="Kunena is not installed or the installed Kunena version is not supported. The Kunena Importer has been disabled. Please install/upgrade Kunena to version %s for the Kunena Importer to function properly."
@@ -81,8 +81,8 @@ public function checkConfig() {
$this->addMessage ( '<h2>Importer Status</h2>' );
// Kunena detection and version check
- $minKunenaVersion = '1.6.0-RC2';
- if (! class_exists ( 'Kunena' ) || Kunena::versionBuild () < 3251) {
+ $minKunenaVersion = '1.6.4';
+ if (! class_exists ( 'Kunena' ) || Kunena::versionBuild () < 4344) {
$this->addMessage ( '<div>Kunena version: <b style="color:red">FAILED</b></div>' );
$this->addMessage ( '<br /><div><b>You need to install Kunena 1.6!</b></div><div><b>Error:</b> Kunena 1.6 not detected</div>' );
return false;
View
@@ -1,3 +1,3 @@
#Build Number for ANT. Do not edit!
-#Thu Jul 07 21:02:39 EEST 2011
-build.number=194
+#Fri Jul 08 23:46:19 PDT 2011
+build.number=200
View
@@ -116,7 +116,7 @@
<copy file="${project_dir}/administrator/components/com_kunenaimporter/install.kunenaimporter.php" todir="${tmp_dir}" overwrite="true" filtering="false" />
<copy file="${project_dir}/administrator/components/com_kunenaimporter/uninstall.kunenaimporter.php" todir="${tmp_dir}" overwrite="true" filtering="false" />
<copy file="${project_dir}/administrator/components/com_kunenaimporter/kunenaimporter.xml" todir="${tmp_dir}" overwrite="true" filtering="true" />
- <copy file="${project_dir}/README.txt" todir="${tmp_dir}" overwrite="true" filtering="true" />
+ <copy file="${project_dir}/README.md" tofile="${tmp_dir}/README.txt" overwrite="true" filtering="true" />
<copy todir="${tmp_dir}/languages" flatten="yes" includeEmptyDirs="no">
<fileset dir="${project_dir}/administrator/components/com_kunenaimporter/language">
<include name="**/*.ini"/>

0 comments on commit 365400d

Please sign in to comment.